Eclipse BIRT Report Object Model (ROM)

Parameter Element

# Element Overview

The base parameter element defines properties common to all types of parameters.

### Details

Display Name: | Parameter
Since: | 1.0
XML Element: | `None`
Extends: | ReportElement
Extendable: | No
Abstract: | Yes
Name Space: | Parameters
Name Requirement: | Required
Allows User Properties: | Yes
Has Style: | No

### Property Summary

helpText
  Additional text to display for the parameter to explain how to use the parameter.
helpTextID
  Resource key for the helpText
hidden
  Hides the parameter from the parameter UI.
promptText
promptTextID

### Method Summary

validate
  Validation method associated with the parameter

### Inherited Properties

comments, customXml, displayName, displayNameID, eventHandlerClass, extends, name, newHandlerOnEachEvent, propertyMasks, userProperties, viewAction

### Inherited Property Notes

name
  The internal name of the parameter, inherited from Report Element. Expressions in the report reference the parameter using this name. The name must be unique among parameters and parameter groups. The user will see this name unless the display name is defined. The name cannot be externalized.

### Description

The base parameter element defines properties common to all types of parameters. Parameters can be hidden, meaning that they will not appear in the UI. Parameters also provide additional pop-up help text that can explain the use of the parameter to the end user.

# Property Detail

## helpText Property

Additional text to display for the parameter to explain how to use the parameter.

### Details

Type: | string
Since: | 1.0
Required: | No
Display Name: | Help text
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Description

Additional text to display for the parameter to explain how to use the parameter. The string can be externalized.

## helpTextID Property

Resource key for the helpText

### Details

Type: | resourceKey
Since: | none
Required: | No
Display Name: | Help text Key
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Description

helpText can be externalized. helpTextId is the resource key for the helpText.

## hidden Property

Hides the parameter from the parameter UI.

### Details

Type: | boolean
Since: | 1.0
Required: | No
Display Name: | Hidden
JavaScript Type: |
Default Value: | false
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Description

If true, the parameter will not appear in the Requester page. Allows the developer to create parameters for internal use, or for use by scripts. Parameters are visible by default.

### See Also

`concealValue` property of the Scalar Parameter

## promptText Property

### Details

Type: | string
Since: | 2.0
Required: | No
Display Name: | Prompt text
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

## promptTextID Property

### Details

Type: | resourceKey
Since: | 2.1
Required: | No
Display Name: | Prompt text key
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

# Method Detail

## validate Method

Validation method associated with the parameter

### Synopsis

`boolean obj.validate( )`

### Details

Since: | 2.5
Context: | factory
Arguments: | None
Return Type: | boolean

### Description

User can implement this method to perform custom validation for a particular parameter. This method is called during report execution, to validate the parameter value.